So, I started installing Capistrano yesterday using:

gems install capistrano

Annoyingly, the net-ssh dependency failed with the hideous error message:

ERROR: While executing gem … (Zlib::BufError) buffer error

This seems to only happen on windows - and there doesn't seem to be any documentation on how to fix this.

Thankfully, you can fix this problem by upgrading your RubyGems install using

gem update --system

I then installed Capistrano with no probs!

Need to find a lawyer for your business? Get in touch with my company Lexoo and we'll find you a great one for free.